[arch-commits] Commit in klibc-module-init-tools/repos (3 files)

Thomas Baechler thomas at archlinux.org
Tue Jul 22 08:58:28 EDT 2008


    Date: Tuesday, July 22, 2008 @ 08:58:28
  Author: thomas
Revision: 5988

Merged revisions 5870-5987 via svnmerge from 
svn+ssh://svn.archlinux.org/home/svn-packages/klibc-module-init-tools/trunk

........
  r5987 | thomas | 2008-07-22 14:58:14 +0200 (Di, 22 Jul 2008) | 1 line
  
  upgpkg: klibc-module-init-tools 3.4-1
........

Modified:
  klibc-module-init-tools/repos/testing-x86_64/	(properties)
  klibc-module-init-tools/repos/testing-x86_64/PKGBUILD
  klibc-module-init-tools/repos/testing-x86_64/makefile.patch

----------------+
 PKGBUILD       |    9 +++++----
 makefile.patch |   52 ++++++++++++++++++++++++++++++++++++++++++----------
 2 files changed, 47 insertions(+), 14 deletions(-)


Property changes on: klibc-module-init-tools/repos/testing-x86_64
___________________________________________________________________
Name: svnmerge-integrated
   - /klibc-module-init-tools/trunk:1-5869
   + /klibc-module-init-tools/trunk:1-5987

Modified: testing-x86_64/PKGBUILD
===================================================================
--- testing-x86_64/PKGBUILD	2008-07-22 12:58:14 UTC (rev 5987)
+++ testing-x86_64/PKGBUILD	2008-07-22 12:58:28 UTC (rev 5988)
@@ -2,8 +2,8 @@
 # Maintainer: Thomas Baechler <thomas at archlinux.org>
 
 pkgname=klibc-module-init-tools
-pkgver=3.2.2
-pkgrel=4
+pkgver=3.4
+pkgrel=1
 pkgdesc="Utilities for inserting and removing modules from the Linux kernel"
 arch=(i686 x86_64)
 url="http://www.kernel.org"
@@ -13,13 +13,14 @@
 source=(http://www.kernel.org/pub/linux/utils/kernel/module-init-tools/module-init-tools-$pkgver.tar.bz2 \
 	makefile.patch
 	fix-modprobe-ignore-path.patch)
-md5sums=('a1ad0a09d3231673f70d631f3f5040e9'
-         '47e14fda7a46668290d11d0444d81826'
+md5sums=('db6ac059e80e8dd4389dbe81ee61f3c6'
+         'c48553c2b61fd8d9784aa86e559b9d7b'
          '335c3f8317f257ddd70b09271b4360bd')
 
 build() {
   cd $startdir/src/module-init-tools-$pkgver
   patch -p1 -i ../makefile.patch || return 1
+  autoreconf || return 1
   patch -p0 -i ../fix-modprobe-ignore-path.patch || return 1
   sed -i 's|/usr/bin/install|/bin/install|g' install-with-care
   CFLAGS="${CFLAGS} -DCONFIG_NO_BACKWARDS_COMPAT" CC=klcc LD=klcc ./configure --prefix=/usr/lib/klibc

Modified: testing-x86_64/makefile.patch
===================================================================
--- testing-x86_64/makefile.patch	2008-07-22 12:58:14 UTC (rev 5987)
+++ testing-x86_64/makefile.patch	2008-07-22 12:58:28 UTC (rev 5988)
@@ -1,22 +1,54 @@
-diff -Naur module-init-tools-3.1-orig/Makefile.in module-init-tools-3.1/Makefile.in
---- module-init-tools-3.1-orig/Makefile.in	2004-11-14 16:59:48.000000000 -0800
-+++ module-init-tools-3.1/Makefile.in	2004-11-19 11:09:36.000000000 -0800
-@@ -704,18 +704,8 @@
+diff -Nur module-init-tools-3.4.orig/Makefile.am module-init-tools-3.4/Makefile.am
+--- module-init-tools-3.4.orig/Makefile.am	2007-10-07 23:51:46.000000000 +0200
++++ module-init-tools-3.4/Makefile.am	2008-07-22 14:49:09.000000000 +0200
+@@ -18,16 +18,9 @@
+ EXTRA_depmod_SOURCES = moduleops_core.c
+ EXTRA_modinfo_SOURCES = backwards_compat.c
  
- # docbook2man writes file itself, doesn't do stdout.
- %.8: doc/%.sgml
+-MAN5 = modprobe.conf.5 modules.dep.5 depmod.conf.5
+-MAN8 = depmod.8 insmod.8 lsmod.8 rmmod.8 modprobe.8 modinfo.8
+-SGML = $(addprefix doc/,  $(MAN5:%.5=%.sgml) $(MAN8:%.8=%.sgml))
+-man_MANS = $(MAN5) $(MAN8)
+-# If they haven't overridden mandir, fix it (never /man!)
+-mandir =$(shell if [ @mandir@ = $(prefix)/man ]; then if [ $(prefix) = / ]; then echo /usr/share/man; else echo $(prefix)/share/man; fi; else echo @mandir@; fi)
+-
+ TESTSUITE := $(shell find tests -type f ! -name '*~') tests/vg-suppressions
+ 
+-EXTRA_DIST = generate-modprobe.conf modprobe.devfs FAQ CODING stress_modules.sh install-with-care $(SGML) $(man_MANS) $(TESTSUITE)
++EXTRA_DIST = generate-modprobe.conf modprobe.devfs FAQ CODING stress_modules.sh install-with-care $(TESTSUITE)
+ 
+ sbin_PROGRAMS = insmod modprobe rmmod depmod modinfo insmod.static
+ bin_PROGRAMS = lsmod
+@@ -38,32 +31,6 @@
+ 
+ DIST_DIR := /home/rusty/devel/kernel/www/modules/
+ 
+-MAINTAINERCLEANFILES := $(man_MANS)
+-
+-# According to Warren Togami, RH has docbook2man in the docbook-utils rpm.
+-DOCBOOKTOMAN := $(shell if command -v docbook-to-man >/dev/null 2>&1; then echo docbook-to-man; else echo docbook2man; fi)
+-
+-# docbook2man writes file itself, doesn't do stdout.
+-%.8: doc/%.sgml
 -	if [ "$(DOCBOOKTOMAN)" = "docbook2man" ]; then                     \
 -	    $(DOCBOOKTOMAN) $< > /dev/null 2>&1;                       \
 -	else                                                               \
 -	    $(DOCBOOKTOMAN) $< 2>&1 > $@ | sed 's/^[^:]*://';              \
 -	fi
- 
- %.5: doc/%.sgml
+-
+-%.5: doc/%.sgml
 -	if [ "$(DOCBOOKTOMAN)" = "docbook2man" ]; then                     \
 -	    $(DOCBOOKTOMAN) $< > /dev/null 2>&1;                       \
 -	else                                                               \
 -	    $(DOCBOOKTOMAN) $< 2>&1 > $@ | sed 's/^[^:]*://';              \
 -	fi
+-
+-# docbook2man creates extra crap files which need cleaning.
+-distclean: killbuildmanpages
+-
+-killbuildmanpages:
+-	rm -f doc/*.tmp manpage.refs manpage.links
+-
+ tarball: $(DIST_DIR)/module-init-tools-$(VERSION).tar.gz
  
- # docbook2man creates extra crap files which need cleaning.
- distclean: killbuildmanpages
+ $(DIST_DIR)/module-init-tools-$(VERSION).tar.gz: dist





More information about the arch-commits mailing list